%define debug_package %{nil}

Name:			analysis-pipeline
Version:		4.4.1
Release:		3%{?dist}
Summary:		Stream analysis of SiLK records
License:		GPLv2
Vendor:			CERT Network Situational Awareness
Source:			analysis-pipeline-%{version}.tar.gz
Group:			Applications/System
URL:			http://tools.netsa.cert.org/analysis-pipeline/
Prefix:			/usr
Requires:		silk-common >= 3.0.0
Requires(post):		/sbin/ldconfig, /sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Requires(postun):	/sbin/ldconfig
Requires:		filesystem
BuildRequires:		silk-devel >= 3.0.0
BuildRequires:		lzo-devel
BuildRequires:		zlib-devel
BuildRoot:		%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

#######################################################################
# RCSIDENT("$Id: analysis-pipeline.spec,v 1.9 2015/10/20 11:47:12 repoman Exp repoman $")
#######################################################################

%description
The SiLK Analysis Pipeline can be added to the SiLK packing process to
analyze flow records as they are collected by rwflowpack.

%prep
echo Building %{name}-%{version}-%{release}
%setup -q

%build
%configure 
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Handle the daemon config file
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
mv $RPM_BUILD_ROOT/%{_datadir}/%{name}/etc/pipeline.conf $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/pipeline.conf

# Handle the daemon config wrapper script
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
sed 's,^\(DEFAULT_SCRIPT_CONFIG_LOCATION=\),\1%{_sysconfdir}/sysconfig,' $RPM_BUILD_ROOT/%{_datadir}/%{name}/etc/init.d/pipeline > /$RPM_BUILD_ROOT/%{_sysconfdir}/init.d/pipeline
rm -f $RPM_BUILD_ROOT/%{_datadir}/%{name}/etc/init.d/pipeline

mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/pipeline.8*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%config(noreplace) %{_sysconfdir}/sysconfig/pipeline.conf
%attr(755,root,root) %{_sysconfdir}/init.d/pipeline
%attr(750,root,root) %dir %{_localstatedir}/%{name}

%post
function runlvl(){
    ( /sbin/chkconfig --del $1 || true )
    /sbin/chkconfig --add $1
    /sbin/chkconfig --levels 345 $1 on
    /sbin/chkconfig --levels 016 $1 off
}

runlvl pipeline

%preun
if [ "$1" = 0 ]; then
    /sbin/chkconfig --del pipeline
fi


# Local Variables:
# mode:shell-script
# sh-shell:rpm
# indent-tabs-mode:nil
# End:


%changelog
* Tue Oct 20 2015 Lawrence R. Rogers <lrr@cert.org> 4.4.1-3
* Release 4.4.1-3
	Rebuilt with silk-common-3.11.0

* Sat Dec 20 2014 Lawrence R. Rogers <lrr@cert.org> 4.4.1-2
* Release 4.4.1-2
	Rebuilt with silk-common-3.10.0.

* Tue Oct 28 2014 Lawrence R. Rogers <lrr@cert.org> 4.4.1-1
* Release 4.4.1-1
	Pmaps files are now reloaded when updated similar to IPSet files
	Bug fix with reloading IPSet files

* Fri Sep 26 2014 Lawrence R. Rogers <lrr@cert.org> 4.4-2
* Release 4.4-2
	Rebuilt with silk-common-3.9.0.

* Tue Sep 16 2014 Lawrence R. Rogers <lrr@cert.org> 4.4-1
* Release 4.4-1
	Pmaps can be used for processing data
	List bundles added, which alert if a value is in all lists in bundle
	Filters can use bracketted list of tuples now.
	ANY IP/PORT can be used in FOREACH to build state for both

* Mon Feb 03 2014 Lawrence R. Rogers <lrr@cert.org> 4.3.2-2
* Release 4.3.2-2
	Rebuilt with silk-common-3.8.1

* Mon Dec 30 2013 Lawrence R. Rogers <lrr@cert.org> 4.3.2-1
* Release 4.3.2-1
	4.3.2: Small bug fixes
	4.3.1: CLEAR NEVER or CLEAR ALWAYS must now be specified in evals; Efficiency improvements

* Mon Apr 1 2013 Lawrence R. Rogers <lrr@cert.org> 4.2-2
* Release 4.2-2
	Rebuilt with silk-common-3.6.1

* Fri Feb 15 2013 Lawrence R. Rogers <lrr@cert.org> 4.2-1
* Release 4.2-1
	Added a new primitive: DIFFERENCE DISTRIBUTION for statistics
	Updated available fields for iterative comparison
	Statistics can now have a forever duration

* Fri Jan 4 2013 Lawrence R. Rogers <lrr@cert.org> 4.1-1
* Release 4.1-1
	Lists created by internal filters can now send alerts
	Removed the need for underscores in the config file
	Can now alert when an output is removed by an evaluation
	When pipeline runs out of memory, the alert contains memory used
	Evaluations that hit output threshold can be shut down temporarily

* Sat Sep 29 2012 Lawrence R. Rogers <lrr@cert.org> 4.0.1-1
* Release 4.0.1-1
	Bug and compatability fixes.
	Additional debug statements.

* Tue Sep 28 2010 Lawrence R. Rogers <lrr@cert.org> 3.0.0-1
* Release 3.0.0-1
	Initial public release
